<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: cr_alfa_extension_15082014.xml */
/* Generado: 2014-08-26 22:08:17 */

/* M�todos de acceso a los campos de la tabla cr_prestamo_file */
abstract class BaseCr_prestamo_fileBN
{
    /* Campos de la tabla */
    private $i_IdPrestamoFile;    // IdPrestamoFile: ( no definido )
    private $f_IdPrestamo;    // IdPrestamo: ( no definido )
    private $i_IdCliente;    // IdCliente: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_FileNumero;    // FileNumero: ( no definido )
    private $s_NombreFile;    // NombreFile: ( no definido )
    private $d_FechaRegistro;    // FechaRegistro: ( no definido )
    private $s_UsuarioRegistro;    // UsuarioRegistro: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $s_Comentario;    // Comentario: ( no definido )
    private $i_Idtipofile;    // idtipofile: ( no definido )

    /* Establece el valor del campo IdPrestamoFile */
    public function setIdPrestamoFile( $i_IdPrestamoFile )
    {
        $this->i_IdPrestamoFile = $i_IdPrestamoFile;
    }

    /* Obtiene el valor del campo IdPrestamoFile */
    public function getIdPrestamoFile()
    {
        return $this->i_IdPrestamoFile;
    }

    /* Establece el valor del campo IdPrestamo */
    public function setIdPrestamo( $f_IdPrestamo )
    {
        $this->f_IdPrestamo = $f_IdPrestamo;
    }

    /* Obtiene el valor del campo IdPrestamo */
    public function getIdPrestamo()
    {
        return $this->f_IdPrestamo;
    }

    /* Establece el valor del campo IdCliente */
    public function setIdCliente( $i_IdCliente )
    {
        $this->i_IdCliente = $i_IdCliente;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getIdCliente()
    {
        return $this->i_IdCliente;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FileNumero */
    public function setFileNumero( $s_FileNumero )
    {
        $this->s_FileNumero = $s_FileNumero;
    }

    /* Obtiene el valor del campo FileNumero */
    public function getFileNumero()
    {
        return $this->s_FileNumero;
    }

    /* Establece el valor del campo NombreFile */
    public function setNombreFile( $s_NombreFile )
    {
        $this->s_NombreFile = $s_NombreFile;
    }

    /* Obtiene el valor del campo NombreFile */
    public function getNombreFile()
    {
        return $this->s_NombreFile;
    }

    /* Establece el valor del campo FechaRegistro */
    public function setFechaRegistro( $d_FechaRegistro )
    {
        $this->d_FechaRegistro = $d_FechaRegistro;
    }

    /* Obtiene el valor del campo FechaRegistro */
    public function getFechaRegistro()
    {
        return $this->d_FechaRegistro;
    }

    /* Establece el valor del campo UsuarioRegistro */
    public function setUsuarioRegistro( $s_UsuarioRegistro )
    {
        $this->s_UsuarioRegistro = $s_UsuarioRegistro;
    }

    /* Obtiene el valor del campo UsuarioRegistro */
    public function getUsuarioRegistro()
    {
        return $this->s_UsuarioRegistro;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo Comentario */
    public function setComentario( $s_Comentario )
    {
        $this->s_Comentario = $s_Comentario;
    }

    /* Obtiene el valor del campo Comentario */
    public function getComentario()
    {
        return $this->s_Comentario;
    }

    /* Establece el valor del campo idtipofile */
    public function setIdtipofile( $i_Idtipofile )
    {
        $this->i_Idtipofile = $i_Idtipofile;
    }

    /* Obtiene el valor del campo idtipofile */
    public function getIdtipofile()
    {
        return $this->i_Idtipofile;
    }

    /* Recupera un objeto Cr_prestamo_fileBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_prestamo_fileRs )
    {
        $o_Cr_prestamo_fileBN = new Cr_prestamo_fileBN();
        $o_Cr_prestamo_fileBN->setIdPrestamoFile( ( integer ) $o_Cr_prestamo_fileRs[ "IdPrestamoFile" ] );
        $o_Cr_prestamo_fileBN->setIdPrestamo( ( float ) $o_Cr_prestamo_fileRs[ "IdPrestamo" ] );
        $o_Cr_prestamo_fileBN->setIdCliente( ( integer ) $o_Cr_prestamo_fileRs[ "IdCliente" ] );
        $o_Cr_prestamo_fileBN->setEstado( $o_Cr_prestamo_fileRs[ "Estado" ] );
        $o_Cr_prestamo_fileBN->setFileNumero( $o_Cr_prestamo_fileRs[ "FileNumero" ] );
        $o_Cr_prestamo_fileBN->setNombreFile( $o_Cr_prestamo_fileRs[ "NombreFile" ] );
        $o_Cr_prestamo_fileBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_Cr_prestamo_fileRs[ "FechaRegistro" ], "Y-m-d" ) );
        $o_Cr_prestamo_fileBN->setUsuarioRegistro( $o_Cr_prestamo_fileRs[ "UsuarioRegistro" ] );
        $o_Cr_prestamo_fileBN->setEliminado( ( integer ) $o_Cr_prestamo_fileRs[ "Eliminado" ] );
        $o_Cr_prestamo_fileBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_prestamo_fileRs[ "FechaEliminado" ], "Y-m-d" ) );
        $o_Cr_prestamo_fileBN->setUsuarioEliminado( $o_Cr_prestamo_fileRs[ "UsuarioEliminado" ] );
        $o_Cr_prestamo_fileBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_Cr_prestamo_fileRs[ "FechaModificacion" ], "Y-m-d" ) );
        $o_Cr_prestamo_fileBN->setUsuarioModificacion( $o_Cr_prestamo_fileRs[ "UsuarioModificacion" ] );
        $o_Cr_prestamo_fileBN->setComentario( $o_Cr_prestamo_fileRs[ "Comentario" ] );
        $o_Cr_prestamo_fileBN->setIdtipofile( ( integer ) $o_Cr_prestamo_fileRs[ "Idtipofile" ] );
        return $o_Cr_prestamo_fileBN;
    }
}
?>